define('models/editor_model', ['jquery', 'backbone'],

	function($, Backbone) {

		var EditorModel = Backbone.Model.extend({

			initialize: function() {

				this.print_mode = 0;
				this.edit_mode = 1;

				this.set({
					text_render_modes : ['DIVS', 'CANVAS'],
					mode : this.print_mode,
		        	
			        //режим редактирования или печати
			        editMode : 0,
			        offsetMode: false,
                    twoSideMode: false,
                    twoSideOffset: 0,
			        //разрешение монитора по умолчанию
			        dpi : 96,
			        //разрывы страниц (индекс строки которая
			        //переносится на следующую страницу)
			        cpages : [0],
			        //индекс текущей страницы
			        cpage : 0
				});
			}
		});

		return EditorModel
	}
);