define('models/selection_model', ['backbone', 'paper'], 
	function(Backbone, Paper) {

		var SelectionModel = Backbone.Model.extend({

			defaults: {
				rectangle: null,
				//выбранный элемент(универсально)
		        selected_item : null,
				//выбранный сегмент
				segment: null,
			    global_group : null,
			    //текущая подсказка для элемента (для настройки переносов текста)
			    tooltip : null,
			    //признак определяющий включена ли подсказка
			    tooltip_edit : 0,
			    editMode: 0,
			    //признак того включен ли режим перетаскивания объекта
			    dragMode: false,
				hitOptions: {
					//настройки для определения коллизий для Paper.js
			        segments: true,
			        stroke: true,
			        fill: true,
			        tolerance: 5
				}
			}
		});

		return SelectionModel;
	}
);