//ТЕСТИРОВАНИЕ
function testEditor(args) {
    //тестирование возможностей редактора (подобие печати тестовой страницы у принтера)
    //очистка всех параметров полей

    $("#coord_info").html("");
    $("#report_data").html("");

    for (r in recs) {
        for (var ch in recs[r].group_.children) recs[r].group_.children[ch].remove();
        if (recs[r].value) recs[r].value.remove();
        if (recs[r].group_) recs[r].group_.remove();

    }
    for (var ch in project.activeLayer.children) {
        project.activeLayer.children[ch].remove();
    }
    recs = [];

    if (project.activeLayer.children.length) console.log("Clearing layer->failed");
    else console.log("Clearing layer->done");
    //создание нового прототипа отчета
    for (crd in coord_map) {
        pre_coord_map.push(coord_map[crd]);
    }
    if (pre_coord_map != coord_map) console.log("Copy coordinates->failed");
    else console.log("Copy coordinates->done");

    coord_map = [];
    var margins_ = (args && args[0]) || [10,10,10,10];
    var blank_width = 210;
    var blank_height = 297;

    var cvas = $("#paperCanvas");
    cvas.attr("width", to_pUnit(blank_width) + "px");
    cvas.attr("height", to_pUnit(blank_height) + "px");

    var r_test_width = 10;
    var r_test_height = r_test_width;
    var r_count_by_width = Math.floor(blank_width / (r_test_width + margins_[3]));
    var r_count_by_height = Math.floor(blank_height / (r_test_height + margins_[0]));

    //создаем сетку из полей равномерно заполняющую бланк (размер поля 10*10 мм)
    var col_cnt = 0;
    var row_cnt = 0;

    var offset_xx = 0;
    var offset_yy = 0;

    console.log("TEST DATA\r\n"
        + "COL_COUNT=" + r_count_by_width + "\r\n"
        + "ROW_COUNT=" + r_count_by_height + "\r\n"
        + "REC_WIDTH=" + r_test_width + "\r\n"
        + "REC_HEIGHT=" + r_test_height + "\r\n"
    );


    var r_text = '';

    for (var c = 0 ; c < (r_count_by_width * r_count_by_height); c++) {

        r_text += '<div id=\"paramval_'+ (c+1).toString() + '\" style=\"{display:none;}\" class=\"hidden_data\">' +
            (c+1).toString() + '</div>';

        if (col_cnt > r_count_by_width-1) { col_cnt = 0; row_cnt++; }

        if (col_cnt > 0) offset_xx = margins_[1];
        else offset_xx = 0;
        if (row_cnt > 0) offset_yy = margins_[2];
        else offset_yy = 0;

        var rec_data = [
            to_pUnit(margins_[3] + col_cnt * (margins_[1] + r_test_width)),
            to_pUnit(margins_[0] + row_cnt * (margins_[2] + r_test_height)),
            to_pUnit(r_test_width),
            to_pUnit(r_test_height),
            -1,
            0
        ]
        coord_map.push(rec_data);
        col_cnt++;
    }
    // console.log(rec_data);
    $("#report_data").html(r_text);

    addField();
    //console.log("UPDATE_COORDINATES ->" + recs.length);
    getCoords();

    loadData("no_server_data");
    hyphenation_on = false;
}
