define('helpers', ['json'], function(json) {
	var dpi_ = getDpi();

	function getDpi() {
        //функция определения разрешения монитора
        var dpi, e = document.body.appendChild(document.createElement('div'));
        e.style.width = '1in';
        e.style.padding = '0';
        dpi = e.offsetWidth;
        return dpi;
    }

    function to_hUnit(val) {
        //переводим значения из пикселей в миллиметры
        var pixel_size = parseFloat((dpi_ / 25.4).toFixed(2));
        return parseFloat((val/pixel_size).toFixed(2))
    }

    function to_pUnit(val) {
        //переводим значения из миллиметров в пиксели
        var pixel_size = parseFloat((dpi_ / 25.4).toFixed(2));
        return parseFloat((val * pixel_size).toFixed(2))
    }
    function toJson(arr) {
        return $.toJSON(arr);
    }
    return {
        toJson: toJson,
    	getDpi: getDpi,
    	to_hUnit: to_hUnit,
    	to_pUnit: to_pUnit
    }
});