
define('models/cell_layer', ['backbone', 'models/layer_model'],

    function(Backbone, LayerModel) {

        return LayerModel.extend({
            onActivate: function(layer_view, layer_model) {
                var drawer = layer_view.drawingDelegate;
                drawer.deselectFunc(layer_model.objectsCollection, true);
            },
            onDeactivate: function(layer_view, layer_model) {
                var drawer = layer_view.drawingDelegate;
                drawer.deselectFunc(layer_model.objectsCollection, false);
            }
        });
    }
);
