
describe('Тестирование представления : EditorView',
    function() {

        beforeEach(function() {

            var that = this,
                done = false,
                sandbox = $('#sandbox');

            that.sandbox = sandbox;
            require(["jquery", 'views/editor_view'], function($, EditorView) {
                that.editorView = new EditorView({});
                sandbox.html(that.editorView.render().el);
                done = true;
            });

            waitsFor(function() {
                return done;
            }, "Create View");

        });

        afterEach(function() {
            this.editorView.remove();
        });

        describe('Тестирование рендеринга', function() {
            it("Должен быть в DOM", function() {
                var view;
                view = this.editorView;

                expect(this.sandbox.find(view.el).length).toEqual(1);
            })
        });
    }
);

