#coding: utf-8

import pytest
import sys
import os

from .api import BlankGenerator
sys.path.append(os.path.dirname(__file__))


class TestProvider1(object):

    def getDataForReport(self, proxy_cls, id_field, type_="", territory=None, **kwargs):
        params = [
            (1, u"Иванов",    u"Фамилия"),
            (2, u"Иван",      u"Имя"),
            (3, u"Иванович",  u"Отчество")
        ]

        ctx = [
            [param[1] for param in params],
            [param[2] for param in params]
        ]

        if type_ == "values":
            result = ctx[0]
        else:
            result = ctx[1]

        return result


class TestProvider2(object):

    def getDataForReport(self, proxy_cls, id_field, type_="", territory=None, **kwargs):
        params = [
            (1, u"Иванов",    u"Фамилия"),
            (2, u"Иван",      u"Имя"),
            (3, u"Иванович",  u"Отчество")
        ]

        ctx = [
            [param[1] for param in params],
            [param[2] for param in params]
        ]

        if type_ == "values":
            result = ctx[0]
        else:
            result = ctx[1]

        return result


@pytest.fixture
def blank_generator(request):
    print(sys.path)
    return BlankGenerator("TestProvider")


class TestBlankEditorBasic:

    def test_load_templates_method(self, blank_generator):
        templates = blank_generator.loads_templates_by_user()

        assert not templates, u"Templates must be null"


    def test_save_template_method(self, blank_generator):

        pass


    def test_print_template_method(self, blank_generator):

        pass

